%global momorel 9
%define texmf %{_datadir}/texmf

Name: jadetex
Version: 3.13
Release: %{momorel}m%{?dist}
Group: Applications/Text

Summary: TeX macros used by Jade TeX output.

License: see "jadetex.dtx" and see "lppl.txt"
URL: http://sourceforge.net/projects/jadetex/

Requires: sgml-common >= 0.5
Requires: tetex >= 3.0 tetex-latex >= 3.0
Requires: openjade
BuildRequires: unzip
BuildRequires: tetex-latex >= 3.0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1: jadefmtutil.cnf
Patch1: jadetex-tetex3.patch
Patch3: jadetex-3.11-twosides.patch
Nosource: 0

%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files, to obtain DVI, Postscript
or PDF files for example.


%prep
%setup -q
cp %{SOURCE1} .
%patch1 -p1 -b .tetex3
%patch3 -p0

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{texmf}/tex/jadetex
cp *.ini %{buildroot}%{texmf}/tex/jadetex
cp *.sty %{buildroot}%{texmf}/tex/jadetex
cp *.cnf %{buildroot}%{texmf}/tex/jadetex

mkdir -p %{buildroot}%{_bindir}
ln -s etex %{buildroot}%{_bindir}/jadetex
ln -s pdfetex %{buildroot}%{_bindir}/pdfjadetex


%clean
rm -rf %{buildroot}

%post
/usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
/usr/bin/env - %{_bindir}/fmtutil-sys --cnffile %{texmf}/tex/jadetex/jadefmtutil.cnf --all --fmtdir %{texmf}/web2c > /dev/null 2>&1
exit 0

%postun
if [ "$1" = 0 ]; then
/usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
fi

%files
%defattr (-,root,root)
%doc jadetex.dtx
%ghost %{texmf}/web2c/jadetex.fmt
%ghost %{texmf}/web2c/pdfjadetex.fmt
%dir %{texmf}/tex/jadetex
%{texmf}/tex/jadetex/dsssl.def
%{texmf}/tex/jadetex/jadetex.ltx
%{texmf}/tex/jadetex/jadetex.ini
%{texmf}/tex/jadetex/pdfjadetex.ini
%{texmf}/tex/jadetex/dummyels.sty
%{texmf}/tex/jadetex/mlnames.sty
%{texmf}/tex/jadetex/ucharacters.sty
%{texmf}/tex/jadetex/uentities.sty
%{texmf}/tex/jadetex/unicode.sty
%{texmf}/tex/jadetex/jadefmtutil.cnf
%{_bindir}/jadetex
%{_bindir}/pdfjadetex

%triggerin -- tetex
/usr/bin/env - %{_bindir}/fmtutil-sys --cnffile %{texmf}/tex/jadetex/jadefmtutil.cnf --all > /dev/null 2>&1
exit 0

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.13-9m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.13-8m)
- rebuild against gcc43

* Sat Jun 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.13-7m)
- fix %%post (undefined macro)
- - sorry, please remove "/%\{TeXdir\}" and "/.texmf-var" by hand.

* Wed Jun 14 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.13-6m)
- rebuild against tetex-3.0
- sync partially with Fedora Core (jadetex-tetex3.patch)
- - * Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- - rebuilt
- * Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 3.12-13
- - Use fmtutil-sys instead of fmtutil (bug #150089).
- - Require at least teTeX 3.
- * Wed Feb 23 2005 Tim Waugh <twaugh@redhat.com> 3.12-12
- - Applied fixes from Ulrich Drepper to work with tetex3 (bug #111309).
- * Tue Sep 14 2004 Tim Waugh <twaugh@redhat.com> 3.12-11
- - Build requires tetex-fonts (bug #132529).

* Mon Sep 26 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.13-5m)
- telia -> jaist

* Wed Nov 19 2003 zunda <zunda at freeshell.org>
- (3.13-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- mlnames.sty is under LaTeX Project Public License: lppl.txt is included
  in tetex-doc.

* Mon Jul 28 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.13-3m)
- modify changelog

* Mon Jul 28 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.13-2m)
- add BuildRequires: tetex-latex >= 1.0.7-48k

* Sat Jul 26 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.13-1m)
- upgrade 3.13

* Wed May 21 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.12-4m)
- modified %%define macro

* Fri May  3 2002 zunda <zunda@kondara.org>
- (3.12-2k)
- source and URL update
- BuildRequires: tetex >= 1.0.7-48k to get enough space for formatting

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (3.11-2k)
- merge from Jirai.

* Mon May  7 2001 Shingo Akagaki <dora@kondara.org>
- mujitu!

* Mon May  7 2001 Shingo Akagaki <dora@kondara.org>
- spec kusatteru...

* Mon Feb 12 2001 Tim Waugh <twaugh@redhat.com>
- 3.3.  Redo jadetex-makefile.patch.

* Fri Jan 19 2001 Tim Waugh <twaugh@redhat.com>
- Earlier change was wrong; jade should be required, not openjade
- Require sgml-common >= 0.5.

* Wed Jan 17 2001 Tim Waugh <twaugh@redhat.com>
- Make tetex a %%post requirement.
- Silence %%post output.
- Don't play so many macro games.
- Build requires unzip.

* Fri Jan 12 2001 Tim Waugh <twaugh@redhat.com>
- Make symlinks relative.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- Require openjade not jade.
- rm before install.
- Use %%{_tmppath}/%{name}-%{version}-root
- Require tetex-latex.
- Change Copyright: to License:.
- Remove Packager: line.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
